%define name drakx-installer-binaries
%define version 1.78
%define release %mkrel 6

%define build_diet 1
%ifarch %arm %mips
%define build_diet 0
%endif

Summary: DrakX binaries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
# we need a kernel with PCMCIA support:
%ifnarch %arm %mips
BuildRequires: kernel-desktop-latest
%else
BuildRequires: kernel-kirkwood-latest
%endif
BuildRequires: ldetect-devel >= 0.12.7
BuildRequires: ldetect-lst >= 0.1.324
BuildRequires: ldetect-lst-devel
%if %{build_diet}
BuildRequires: dietlibc-devel >= 0.32-4.20090113.4
%else
BuildRequires: glibc-static-devel
%endif
BuildRequires: kmod-devel >= 3-3
BuildRequires: pciutils-devel >= 3.1.7-2
BuildRequires: sysfsutils-devel
BuildRequires: slang-devel
BuildRequires: newt-devel
BuildRequires: zlib-devel
BuildRequires: flex byacc pciutils-devel
BuildRequires: mageia-release-common

#- not requiring the same version otherwise releasing drakx-installer-images takes a day
#- (restore this when the build system can build a pack of packages)
Requires: ldetect-lst

%description
binaries needed to build %{_vendor} installer (DrakX)

%package probe
Summary: DrakX probe-modules tool
Group: Development/Other

%description probe
probe-modules tool needed to build %{_vendor} live

%prep
%setup -q

%build
make -C mdk-stage1

%install
rm -rf $RPM_BUILD_ROOT

cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%exclude %{_libdir}/%name/probe-modules
%{_libdir}/%name

%files probe
%{_libdir}/%name/probe-modules


%changelog

* Sat May 18 2013 tmb <tmb> 1.78-6.mga3
+ Revision: 413541
- rebuild for mageia-release

* Sat Apr 27 2013 tmb <tmb> 1.78-5.mga3
+ Revision: 411343
- rebuild for new ldetect-lst

* Wed Apr 24 2013 tmb <tmb> 1.78-4.mga3
+ Revision: 411079
- rebuild for new ldetect-lst

* Sat Apr 13 2013 tmb <tmb> 1.78-3.mga3
+ Revision: 410016
- rebuild for new ldetect-lst

* Fri Apr 05 2013 tmb <tmb> 1.78-2.mga3
+ Revision: 408212
- rebuild for new ldetect

* Sun Mar 31 2013 tv <tv> 1.78-1.mga3
+ Revision: 406806
- probe virtual drivers too (mga#9546)
  (install from Xen hd not supported yet)

* Tue Mar 26 2013 tv <tv> 1.77-1.mga3
+ Revision: 405389
- use kmod for module loading (mga#9242, based on Pok works @mdv)

* Fri Mar 22 2013 tv <tv> 1.76-1.mga3
+ Revision: 404414
- revert patch introduced in r7542 (breaks loading USB modules)

* Wed Mar 13 2013 alien <alien> 1.75-1.mga3
+ Revision: 402633
- fix loading modules with - in their names (mga#9242)

* Sat Mar 02 2013 tmb <tmb> 1.74.1-1.mga3
+ Revision: 401135
- update list_modules for xen dom0 and virtio support (#9242)

* Wed Feb 27 2013 tv <tv> 1.74-1.mga3
+ Revision: 400468
- drop merged patch
- fix unitialized memory screwing up dialog input (pok, mdv, mga#8729)
- kill bootsplash support (we drop bootsplash in kernel in 2008)
- kill firmware loader now that firmware are loaded by the kernel

* Mon Jan 21 2013 tmb <tmb> 1.73-8.mga3
+ Revision: 390464
- sync kernel list_modules with installer-images (P0)

* Wed Jan 16 2013 tmb <tmb> 1.73-7.mga3
+ Revision: 388847
- rebuild for new kernel and ldetect

* Thu Jan 10 2013 tmb <tmb> 1.73-6.mga3
+ Revision: 344854
- rebuild for ldetect-lst and other updates

* Tue Dec 11 2012 tv <tv> 1.73-5.mga3
+ Revision: 329655
- rebuild with new ldetect

* Fri Dec 07 2012 tv <tv> 1.73-4.mga3
+ Revision: 327760
- rebuild with new kmod/ldetect

* Thu Dec 06 2012 tv <tv> 1.73-3.mga3
+ Revision: 327338
- rebuild with new kmod/ldetect

* Tue Oct 02 2012 tv <tv> 1.73-2.mga3
+ Revision: 302098
- rebuild with ldetect & kmod (#5833)

* Mon Sep 17 2012 tv <tv> 1.73-1.mga3
+ Revision: 295542
- add firmware loader written in C (based on hotplug2) (mga#6323)

* Wed Sep 12 2012 tv <tv> 1.72-2.mga3
+ Revision: 293121
- rebuild for new ldetect

* Fri Sep 07 2012 tv <tv> 1.72-1.mga3
+ Revision: 289429
- fix URL passed to stage2 when user didn't provide the arch in the
  install path (mga#6823)
- retry with FTP instead of HTTP when there's no proxy and user didn't
  provided the architecture in the URL

* Mon Sep 03 2012 tv <tv> 1.71-1.mga3
+ Revision: 287705
- silent hid_generic loading

* Mon Sep 03 2012 tv <tv> 1.70-2.mga3
+ Revision: 287587
+ rebuild (emptylog)

* Mon Sep 03 2012 tv <tv> 1.70-1.mga3
+ Revision: 287577
- mount /dev as devtmpfs (pok, mdv)
- rely on /sys being created in images

* Fri Aug 31 2012 tv <tv> 1.69-1.mga3
+ Revision: 286735
- do not try to mount /proc/bus/usb
- load hid-generic

* Thu Aug 30 2012 tv <tv> 1.68-1.mga3
+ Revision: 285764
- mount /sys/kernel/debug (needed for new ldetect)

* Tue Jun 05 2012 tv <tv> 1.67-1.mga3
+ Revision: 255912
- make sure nurses get initialized in UTF-8 (mga#4894)
- revert to "linux" terminfo

* Fri Jun 01 2012 tv <tv> 1.66-1.mga3
+ Revision: 252937
- add BR
- do not advice long dead pcmcia.img & network.img images (mga#5466)
- first attempt at supporting XenBlk discs
- hide "KA server" option (mga#5944)
- switch from gethostbyname() to getaddrinfo() (mga#4056)
- switch from gethostbyaddr() to getnameinfo()
- use system libraries for newtw, slang & sysfs (mdv)

* Sat May 19 2012 tmb <tmb> 1.65-4.mga2
+ Revision: 235922
- rebuild for mageia-release

* Sun May 13 2012 tmb <tmb> 1.65-3.mga2
+ Revision: 235570
- rebuild with latest ldetect-lst

* Wed May 02 2012 tv <tv> 1.65-2.mga2
+ Revision: 234480
- rebuild for new ldetect-lst (mga#5681)

* Sun Apr 08 2012 pterjan <pterjan> 1.65-1.mga2
+ Revision: 229600
- Support mounting btrfs in stage1

* Thu Apr 05 2012 tv <tv> 1.64-1.mga2
+ Revision: 228732
- default to "screen" instead of "linux" terminfo (mga#4894)

* Mon Mar 19 2012 tmb <tmb> 1.63-3.mga2
+ Revision: 224473
- rebuild for new ldetect

* Mon Mar 19 2012 tmb <tmb> 1.63-2.mga2
+ Revision: 224374
- rebuild for new kmod

* Mon Mar 12 2012 tv <tv> 1.63-1.mga2
+ Revision: 223102
- do not try to load obsolete sqlzma & squashfs_lzma kernel modules
- recognize c67x00, imx21-hcd, fhci, isp1362-hcd, oxu210hp-hcd & renesas-usbhs
  USB host drivers (mga#4905)

* Sat Mar 03 2012 tmb <tmb> 1.62-2.mga2
+ Revision: 217249
- rebuild with new kmod

* Sun Feb 26 2012 tv <tv> 1.62-1.mga2
+ Revision: 215015
- fix segfaulting when ISO directory is not valid (mga#4592)

* Tue Feb 21 2012 tv <tv> 1.61-1.mga2
+ Revision: 211562
- fix building with newer dietlibc/zlib
- rebuild with new dietlibc

* Thu Jan 26 2012 tv <tv> 1.60-1.mga2
+ Revision: 202042
- add support for virtio discs

* Mon Jan 23 2012 tv <tv> 1.59-1.mga2
+ Revision: 200357
- try to use arch-prefixed location for FTP & HTTP installs (mga#2578)

* Mon Jan 23 2012 tv <tv> 1.58-3.mga2
+ Revision: 200132
- rebuild with new dietlibc
- remove debug patch

* Fri Jan 20 2012 tv <tv> 1.58-1.mga2
+ Revision: 198807
- add support for kernel compressed as XZ

* Fri Jan 20 2012 tv <tv> 1.57-1.mga2
+ Revision: 198505
- fix linking with new kmod

* Fri Jan 13 2012 tv <tv> 1.56-1.mga2
+ Revision: 195826
- kill 10 years old snapshot of pppd & pppoe
  (now using upstream pppd & pppoe)
- link with libkmod instead of libmodprobe

  + tmb <tmb>
    - dont hardcode vendor

* Wed Dec 28 2011 tmb <tmb> 1.55-1.mga2
+ Revision: 188498
- (handle_pcmcia) kill obsolete test for 2.2 kernel (tv)
- sync with kernel-3.2.0-0.rc7.1.mga2 for updated list_modules.pm
- drop defattr

* Mon Dec 19 2011 blino <blino> 1.54-1.mga2
+ Revision: 184626
- 1.54
- fix retrieving mirrorlist, broken in 1.53
- fix build with Werror

* Wed Dec 14 2011 tv <tv> 1.53-1.mga2
+ Revision: 181580
- display distro name in mirror list too (#191)

* Tue Dec 06 2011 tmb <tmb> 1.52-1.mga2
+ Revision: 177898
- fix build with gcc-4.6.2
  * fixes for -Werror=unused-but-set-variable
  * minor whitespace cleanups
- rebuild for new kernel, ldetect-lst, gcc, ...

* Mon Oct 24 2011 tmb <tmb> 1.51-1.mga2
+ Revision: 157770
- 1.51: sync with kernel-3.1.0-1.mga2
  * add hid devices:
        hid-keytouch, hid-uclogic
  * add sas/raid driver:
        isci
  * add sound devices:
        snd-lola, snd-firewire-speakers snd-isight, snd-usb-6fire
  * add usb/storage:
        ums-eneub6250, ums-realtek
  * add wireless drivers:
        brcmsmac, rtl8187se, rtusb, rtl8192se, rtl8192cu, rtl8192de

* Tue Oct 18 2011 tmb <tmb> 1.50-4.mga2
+ Revision: 156246
- check rebuild since almost all BR rpms have been updated

* Sun Jun 19 2011 tmb <tmb> 1.50-3.mga2
+ Revision: 109855
- drop hard requires on mageia-release-common

* Mon May 30 2011 tmb <tmb> 1.50-2.mga1
+ Revision: 100804
- rebuild with correct mageia-release

* Fri May 20 2011 blino <blino> 1.50-1.mga1
+ Revision: 99838
- drop old patches (better fix than patch0, patch1 useless, patch2 merged)
- 1.50
- do not attempt to perform ISA probe for PCMCIA controller on x86_64
  as it fails with kvm_amd (#1156)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tmb <tmb> 1.49-3.mga1
+ Revision: 99817
- dont hardcode cauldron in api url

  + rtp <rtp>
    - fix build requires for architectures building against glibc and not dietlibc
    - Fix build requires on kernel-desktop-latest as there's none on arm/mips

* Mon May 09 2011 tv <tv> 1.49-2.mga1
+ Revision: 96707
- patch 2: do not probre for another ISA PCMCIA controller on x86_64 too (#1024)

* Sat May 07 2011 tv <tv> 1.49-1.mga1
+ Revision: 95827
- BuildRequires: kernel-desktop-latest instead of kernel which can bring
  kernel-netwook which will break the build as it has no PCMCIA support
- patch 2: do not attempt to perform ISA probe for PCMCIA controller on x86_64
  as it fails with kvm_amd (#1156)
- 1.49:
- use new libldetect API for finding out unknown devices
- handle more PCMCIA controllers
- "i82365" driver was renamed "pd6729"
  1.48:
- arm/mips support
- try to handle built-in modules
- fix build with Werror
- use mirrors.mageia.org/api for mirror list
- patch1: remove part that was merged

* Sun Mar 13 2011 tmb <tmb> 1.47-3.mga1
+ Revision: 70343
- rebuild to get correct info from /etc/product.id

* Sun Feb 20 2011 tmb <tmb> 1.47-2.mga1
+ Revision: 54595
- fix api url so stage1 works for network install

* Mon Feb 07 2011 dmorgan <dmorgan> 1.47-1.mga1
+ Revision: 48157
- imported package drakx-installer-binaries


* Wed Oct 13 2010 Thierry Vignaud <tv@mandriva.org> 1.47-1mdv2011.0
+ Revision: 585504
- Patch0 : temporary disable -Werror in order to fix build
- 2011.0 build

* Fri May 21 2010 Pascal Terjan <pterjan@mandriva.org> 1.46-2mdv2010.1
+ Revision: 545631
- rebuild with fixed dietlibc

* Thu May 13 2010 Pascal Terjan <pterjan@mandriva.org> 1.46-1mdv2010.1
+ Revision: 544673
- create device listed in /proc/partitions with correct major/minor (#57032)

* Tue Mar 30 2010 Pascal Terjan <pterjan@mandriva.org> 1.45-1mdv2010.1
+ Revision: 529931
- do not list /dev/fd0 when no floppy is found (#58390)

* Wed Mar 17 2010 Thierry Vignaud <tv@mandriva.org> 1.44-1mdv2010.1
+ Revision: 523761
- BR pciutils-devel with diet library
- rebuild with latest list_modules.pm (might fix #57833)
- 1.43 aka automatically bump version (#57466)
- rebuild (might fix #57466)

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

* Mon Oct 12 2009 Olivier Blin <oblin@mandriva.com> 1.42-2mdv2010.0
+ Revision: 456839
- rebuild for new ldetect

* Tue Sep 22 2009 Olivier Blin <oblin@mandriva.com> 1.42-1mdv2010.0
+ Revision: 447357
- 1.42
- list asix module in network/usb group
- virtio: fix device probing: use PCI subdevices
- fix format string bug from 1.41

* Tue Sep 15 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.41-3mdv2010.0
+ Revision: 443240
- added patch fixing virtio device probing: use PCI subdevices

* Tue Sep 01 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.41-2mdv2010.0
+ Revision: 423686
- added patch fixing format string bug in 1.41
- new version 1.41, handle virtio devices

* Thu Jul 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.40-1mdv2010.0
+ Revision: 393933
- update tarball
- fix build, rebuild to get 2010.0 strings
- rebuild stage1 to get updated strings for 2010.0 alphas

* Wed Apr 22 2009 Pascal Terjan <pterjan@mandriva.org> 1.39-1mdv2009.1
+ Revision: 368637
- set uevent helper which will load firmware and do not set firmware
  timeout to 1 second (it will fail if firmware is not there)

* Mon Apr 20 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.38-1mdv2009.1
+ Revision: 368380
- 1.38:
- handle hybrid ISOs (ISO images dumped to USB keys)

* Wed Apr 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.37.2-1mdv2009.1
+ Revision: 367443
- 1.37.2:
  * reroll tarball, the previous one contained outdated code (?)

* Tue Apr 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.37.1-1mdv2009.1
+ Revision: 364909
- 1.37.1:
  * fix build

  + Thierry Vignaud <tv@mandriva.org>
    - enumerate hid bus and load hid quirk modules, fixes #47167

* Sun Mar 08 2009 Pascal Terjan <pterjan@mandriva.org> 1.36-1mdv2009.1
+ Revision: 352905
- load appropriate modules before trying to mount ext4/reiser4 (#48573)

* Mon Feb 16 2009 Pascal Terjan <pterjan@mandriva.org> 1.35-1mdv2009.1
+ Revision: 340819
- allow installing from ext3/ext4/reiser

* Fri Feb 13 2009 Pascal Terjan <pterjan@mandriva.org> 1.34-2mdv2009.1
+ Revision: 340068
- Rebuild with new dietlibc

* Thu Feb 12 2009 Olivier Blin <oblin@mandriva.com> 1.34-1mdv2009.1
+ Revision: 339745
- 1.34
- adapt to new modules.dep format (prefix modules with directory path)
- try to use arch-prefixed location for automatic disk installs

* Wed Feb 04 2009 Pascal Terjan <pterjan@mandriva.org> 1.33-1mdv2009.1
+ Revision: 337450
- Update to 1.33

* Fri Sep 26 2008 Olivier Blin <oblin@mandriva.com> 1.32-1mdv2009.0
+ Revision: 288566
- 1.32
- automatically find compressed stage2 with automatic=method:disk

* Wed Aug 27 2008 Pixel <pixel@mandriva.com> 1.31-1mdv2009.0
+ Revision: 276470
- 1.31: usbkbd is dead, using usbhid instead

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.30-2mdv2009.0
+ Revision: 264420
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Olivier Blin <oblin@mandriva.com> 1.30-1mdv2009.0
+ Revision: 218500
- 1.30
- add back "ide-generic" support (incorrectly removed in 1.17), the
  module that we want to avoid is "ide-pci-generic" (previously
  "generic"),
  and this is handled by ldetect-lst preferred modules list
- handle ide-cd being renamed as ide-cd_mod

* Thu Jun 12 2008 Olivier Blin <oblin@mandriva.com> 1.29-1mdv2009.0
+ Revision: 218453
- 1.29
- allow to pass module options to probe-modules
- build fixes for gcc 4.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against dietlibc-devel-0.32

* Thu Apr 24 2008 Olivier Blin <oblin@mandriva.com> 1.28-2mdv2009.0
+ Revision: 197263
- rebuild for new ldetect-lst (to default to libata pata drivers)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 1.28-1mdv2008.1
+ Revision: 192223
- 1.28
- fix segfault with empty device description (can happen for USB devices)

* Mon Mar 31 2008 Olivier Blin <oblin@mandriva.com> 1.27.1-1mdv2008.1
+ Revision: 191276
- 1.27.1
- fix build
- 1.27
- do not set firmware timeout to 1 second in probe-modules helper for
  Mandriva One (#39216)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 1.26-1mdv2008.1
+ Revision: 189275
- 1.26
- load bus/firewire controllers (#31356)
- really ask dhcp domain if not guessed

* Tue Mar 18 2008 Olivier Blin <oblin@mandriva.com> 1.25-1mdv2008.1
+ Revision: 188587
- build with newer ldetect-lst to fix jmicron support (#38343)
- 1.25
- do not allow to choose outdated cooker mirror list (#37278)
- 1.24
- load disk/ide before disk/scsi (#38451, to prevent sata deps from
  overriding non-libata pata modules, like in stage2)
- fix asking modules when no controller is detected

* Thu Feb 28 2008 Olivier Blin <oblin@mandriva.com> 1.23-1mdv2008.1
+ Revision: 176458
- 1.23
- probe usb-storage/sbp2 only when probing USB/SCSI buses
  (to make automatic boot faster on IDE)
- make dhcp the first choice (instead of static) in the network type
  menu
- clear tty2 after shell is killed
- log "killed shell" message on tty3
- add a space in front of top line (like help message)
- space-pad top line with spaces to the right (like help message)

* Thu Feb 28 2008 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2008.1
+ Revision: 175954
- 1.22
- fix automatic IDE media detection
  (was broken with multiple CD drives, #36161)
- fix bootsplash in automatic CD-Rom mode
  (as a result of IDE media detection fix)
- wait only 1 second for firmware upload
  (not to hang boot with iwl3945, #37279)

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 1.21-1mdv2008.1
+ Revision: 165635
- 1.21
- load nls_cp437 and nls_iso8859_1 when loading vfat
   (used to be in custom modules.dep)

* Mon Feb 11 2008 Olivier Blin <oblin@mandriva.com> 1.20-1mdv2008.1
+ Revision: 165417
- 1.20
- probe-modules:
  o handle the "--usb" option instead of "usb"
  o load module passed as argument (if any), instead of probing bus
- switch to modules from /lib/modules/`uname -r`, modules.dep containing full filename
- restore BuildRoot

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.19-1mdv2008.1
+ Revision: 136226
- 1.19
- rebuild with list_modules to handle atl2 ethernet driver

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 1.18-2mdv2008.0
+ Revision: 95485
- rebuild for latest ldetect-lst

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 1.18-1mdv2008.0
+ Revision: 95274
- 1.18
- add probe-modules helper in drakx-installer-binaries-probe
  sub-package (to be used in live systems, #34277)

* Mon Sep 24 2007 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2008.0
+ Revision: 92520
- 1.17
- use modules from disk/ide category (#33043)
- do not explicitely try to load ide-generic, ldetect will fallback
  to ide-generic when appropriate (#33043)

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 1.16-2mdv2008.0
+ Revision: 91077
- rebuild with latest ldetect (for /lib/module-init-tools/ldetect-lst-modules.alias support)

* Wed Sep 05 2007 Pixel <pixel@mandriva.com> 1.16-1mdv2008.0
+ Revision: 80118
- 1.16:
- if you give nfs directory xxx, try to use xxx/ARCH
- handle cdroms with and without ARCH at the root

* Mon Aug 27 2007 Olivier Blin <oblin@mandriva.com> 1.15-1mdv2008.0
+ Revision: 71932
- 1.15
- ask loading modules from /modules if needed
- read modules description from /modules/modules.description

* Thu Aug 23 2007 Olivier Blin <oblin@mandriva.com> 1.14-1mdv2008.0
+ Revision: 70515
- 1.14: fix segfault in USB detection code (when no module match, #32624)

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 1.13-1mdv2008.0
+ Revision: 68637
- 1.13
- use module names instead of filenames
- convert module name to filename before loading it
  (using modules.dep to get filename)
- keep module in dependencies list even if it has no dependencies
  (to keep track of its filename)
- use '_' in module names when explicitely loading modules (cosmetics)

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 1.12-1mdv2008.0
+ Revision: 68128
- 1.12: adapt to new list_modules

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 1.11-2mdv2008.0
+ Revision: 67890
- rebuild with latest ldetect-lst

* Wed Aug 15 2007 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2008.0
+ Revision: 63570
- 1.11:
  o use ldetect/libmodprobe/libpci (dietlibc version)
    instead of custom pci/usb probe
  o rename rescue "GUI" as rescue "menu"

* Tue Jul 17 2007 Olivier Blin <oblin@mandriva.com> 1.10.1-1mdv2008.0
+ Revision: 52947
- 1.10:
  o add ide-disk module
  o load ide-disk when detecting disks (ide is now modularized...)
- 1.10.1:
  o link init with dietlibc instead of minilibc on ix86/x86-64
  o add missing includes for wireless
  o fix build of pppoe by using dietlibc termios header

* Fri Jun 29 2007 Pixel <pixel@mandriva.com> 1.9-1mdv2008.0
+ Revision: 45680
- new release 1.9: ide is now modularized


* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.7-4mdv2007.1
+ Revision: 150620
- we can't except mandriva-release nor mandriva-release to be installed at the moment, removing the check

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.7-3mdv2007.1
+ Revision: 150589
- mandriva-release is no more, mandriva-release-common is the one to check

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.7-2mdv2007.1
+ Revision: 150566
- rebuild for new mandriva-release
- don't depend on mandriva-release %%version-%%release, only on %%version

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 1.7-1mdv2007.1
+ Revision: 148433
- bug fix release, 1.7
- don't kill our init/klogd when running stage2
  (bug introduced when switching to initramfs)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2007.1
+ Revision: 147946
- new release, 1.6
- write DNS settings in temporary ifcfg file
  (fixes resolv.conf post install)

* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 1.5-3mdv2007.1
+ Revision: 138376
- don't depend on the ldetect-lst version used for build otherwise building a
  new drakx-installer-images is a nightmare

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 1.5-2mdv2007.1
+ Revision: 134214
- rebuild for new ldetect-lst

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2007.1
+ Revision: 133946
- 1.5 (and add NEWS file)

* Mon Mar 05 2007 Pixel <pixel@mandriva.com> 1.4-2mdv2007.1
+ Revision: 133019
- rebuild with new ldetect-lst

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 114827
- pcmcia_probe.o must be compiled with -fPIC (for drakxtools)

* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 114003
- handle compressed modules in /modules

  + Olivier Blin <oblin@mandriva.com>
    - buildrequire zlib-devel
    - adapt to new name of stage1 binaries

* Tue Jan 23 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 112515
- new release
- /modules/modules.dep is needed in stage2, move it to /tmp otherwise we'll loose it

* Tue Jan 23 2007 Pixel <pixel@mandriva.com> 1.1-2mdv2007.1
+ Revision: 112355
- add rescue-gui
- switch to initramfs
- init-stage2 no more needed

* Mon Jan 22 2007 Pixel <pixel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 111895
- adapt BuildRequires
- parallel build (make -j4) doesn't work
- first standalone package
- Create drakx-installer-binaries

